Skip to content
Assets Overview

Query Total Holdings

This interface is used to retrieve the complete stock position data for the account. Without requiring additional parameters, it directly returns all long positions long_stock and short positions short_stock, with each symbol containing settled quantity settled_quantity and available quantity available_quantity, organized by security symbol as the key.

GEThttps://b-api.longbridge.xyz/v1/whaleapi/asset/query_total_holdings

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure
long_stockobjectrequired

long stock. long stock

Child attributes
symbolobjectrequired

security underlying. security underlying

Child attributes
settled_quantitystringrequired

settled quantity. settled quantity

available_quantitystringrequired

available quantity. available quantity

short_stockobjectrequired

short stock. short stock

Child attributes
symbolobjectrequired

security underlying. security underlying

Child attributes
settled_quantitystringrequired

settled quantity. settled quantity

available_quantitystringrequired

available quantity. available quantity

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs